import request from '@/utils/request'

// 查询分页
export function getPage() {
  return request({
    url: '/admin-api/mes/plan/page',
    method: 'get'
  })
}
// 查询详情
export function getById(id) {
  return request({
    url: '/admin-api/mes/plan/get?id='+id,
    method: 'get'
  })
}
// 创建
export function create(data) {
  return request({
    url: '/admin-api/mes/plan/create',
    method: 'post',
    data: data
  })
}
// 更新
export function update(data) {
  return request({
    url: '/admin-api/mes/plan/update',
    method: 'put',
    data: data
  })
}

// 派工
export function paigong(data) {
  return request({
    url: '/admin-api/mes/plan/paigong',
    method: 'put',
    data: data
  })
}
// 更改状态：开工、暂停
export function updateStatus(data) {
  return request({
    url: '/admin-api/mes/plan/updateStatus',
    method: 'put',
    data: data
  })
}

// 获取计划、派工、开工状态的计划
export function getByStatus(status) {
  return request({
    url: '/admin-api/mes/plan/getByStatus?status='+status,
    method: 'get'
  })
}
// 获取计划进度
export function getPlanProgress(planId) {
  return request({
    url: '/admin-api/mes/work-report-plan-view/getPlanProgress?id='+planId,
    method: 'get'
  })
}





